APICRMCompaniesGet Company by ID
Get Company by ID
Fetch a single CRM company by its numeric ID. Returns 404 if the company does not exist in your organization.
Created: September 16, 2026
Updated: September 16, 2026
Overview
GET
https://dashboard.vinsi.ai/api/crm/companies/{companyId}
Request
Headers
Content-Typestring
x-api-keystring
Params
companyIdstring
Example: 318
Response
{22 items
"id":int318
"organizationId":string"cmexampleorg00000000000001"
"name":string"Acme Dental"
"industry":string"Healthcare"
"website":string"https://acme-dental.example.co..."
"phone":string"+15555550100"
"ext":string""
"email":string"info@acme-dental.example.com"
"address":string"100 Main St"
"city":string"San Diego"
"state":string"CA"
"zip":string"92101"
"country":string"US"
"type":string"prospect"
"notes":null
"ownerId":string"cmexampleuser0000000000001"
"createdAt":string"2026-09-01T18:30:00.000Z"
"updatedAt":string"2026-09-01T18:30:00.000Z"
"primaryContactId":int1042
"reviewRating":string""
"reviewCount":string""
"logoUrl":null
}
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
GET
Headers
Content-Type: *
x-api-key: *
Params
companyId: *
Response
No response yet. Click Send to test the API.